{% set CodiceModulo = "DOM_CONF_TRA" %}
{% set Urn = "document:c_c990:asilo.nido.conferma.trasferimento;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdf" 
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di conferma o trasferimento ai servizi socio educativi"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|12/07/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdf"/>

{% endblock meta %}

{% block title %} Domanda di conferma o trasferimento ai servizi socio educativi {% endblock title %}

{% block content %}

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - conferma o trasferimento servizi socio educativi'" id="Oggetto" name="Oggetto" type="hidden"/>

<div class="container">
  <div class="title-1">Domanda di conferma o trasferimento ai servizi socio educativi</div>
 </div>

{{ utils_scolastici.anno_scolastico(intestazione = "anno educativo") }}
<div class="container">
  <div class="title-3">In caso le richieste siano in numero superiore rispetto ai posti disponibili, farà fede la data e l’orario di arrivo della richiesta</div>
 </div>

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="false")}}

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Richiedente"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione='<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="checkbox" value="SI"/> genitore o tutore dell\'alunno', 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="true")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}
<globo_salto_pagina></globo_salto_pagina>
<div class="container mt-0 mb-0">
  <div class="title-3"> CHIEDE </div>
</div>
<div class="container border bg-light">
   <div class="form-check indent-1">
    <div id="Tassonomia_Chiede" name="Tassonomia_Chiede" label="Chiede" mandatory="true"></div>
    <input class="form-check-input" id="Tassonomia_Chiede1" name="Tassonomia_Chiede" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_Chiede1">la conferma al nido</label>  
    <div class="form-row" mandatory_enabled="#Tassonomia_Chiede1.checked()">
      <div class="form-group col-lg-12">
        <label for="Parametri_NidoFrequentato">Nido frequentato</label>
        <input class="form-control" id="Parametri_NidoFrequentato" name="Parametri_NidoFrequentato" label="Nido frequentato">
      </div>
      <div class="form-group col-lg-12">
        <label for=""> Orario di uscita </label>
      </div>
    </div>
      {% set testi = [
        "uscita entro le ore 14:30",
        "uscita entro le ore 17:30 (solo per asilo Mongolfiera, Albero Azzurro, Paneecioccolata e Arcobaleno)" 
      ]%}
      {% for testo in testi %}    
      <div class="form-check indent-2">
        {% if loop.first %} <div id="Tassonomia_OrarioUscitaConferma" name="Tassonomia_OrarioUscitaConferma" label="Orario di uscita" mandatory_enabled="#Tassonomia_Chiede1.checked()"></div>{% endif %}
        <input class="form-check-input" id="Tassonomia_OrarioUscitaConferma{{ loop.index }}" name="Tassonomia_OrarioUscitaConferma" type="radio" value="{{ loop.index }}">
        <label class="form-check-label" for="Tassonomia_OrarioUscitaConferma{{ loop.index }}"> {{ testo|safe }} </label>
      </div>
        {% endfor %}  
    
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Chiede2" name="Tassonomia_Chiede" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_Chiede2">il trasferimeno presso</label>
        {% set testi = [
          "La Mongolfiera",
          "Albero Azzurro",
          "Arcobaleno",
          "Paneecioccolata",
          "La Tana degli Orsetti",
          "Il Mondo di Tabata",
          "Gli Orsetti Chiacchieroni",
          "Le Perle dl mare",
          "Asilo + SRL" 
        ]%}
        {% for testo in testi %}
          <div class="form-check indent-1">
            {% if loop.first %} <div id="Tassonomia_Trasferimento" name="Tassonomia_Trasferimento" label="Trasferimento presso" mandatory_enabled="#Tassonomia_Chiede2.checked()"></div>{% endif %}
            <input class="form-check-input" id="Tassonomia_Trasferimento{{ loop.index }}" name="Tassonomia_Trasferimento" type="radio" value="{{ loop.index }}">
            <label class="form-check-label" for="Tassonomia_Trasferimento{{ loop.index }}"> {{ testo|safe }} </label>
          </div>
          {% endfor %} 

      <div class="form-row" mandatory_enabled="#Tassonomia_Chiede2.checked()">
        <div class="form-group col-lg-12">
          <label for=""> Orario di uscita </label>
        </div>
      </div>
      {% set testi = [
        "uscita entro le ore 14:30",
        "uscita entro le ore 17:30 (solo per asilo Mongolfiera, Albero Azzurro, Paneecioccolata e Arcobaleno)" 
      ]%}
      {% for testo in testi %}
        <div class="form-check indent-2">
          {% if loop.first %} <div id="Tassonomia_OrarioUscitaTrasferimento" name="Tassonomia_OrarioUscitaTrasferimento" label="Orario di uscita" mandatory_enabled="#Tassonomia_Chiede2.checked()"></div>{% endif %}
          <input class="form-check-input" id="Tassonomia_OrarioUscitaTrasferimento{{ loop.index }}" name="Tassonomia_OrarioUscitaTrasferimento" type="radio" value="{{ loop.index }}">
          <label class="form-check-label" for="Tassonomia_OrarioUscitaTrasferimento{{ loop.index }}"> {{ testo|safe }} </label>
        </div>
        {% endfor %}  
    
  </div>
</div>


{{ utils.Dichiara_445() }}

<div class="container mt-0 mb-0">
  <div id="Tassonomia_CondizioniResidenzaNucleo" name="Tassonomia_CondizioniResidenzaNucleo" label="Residenza" mandatory="true"></div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_CondizioniResidenzaNucleo1" name="Tassonomia_CondizioniResidenzaNucleo" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_CondizioniResidenzaNucleo">di essere residente insieme al proprio figlio nel Comune di Corciano</label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_CondizioniResidenzaNucleo2" name="Tassonomia_CondizioniResidenzaNucleo" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_CondizioniResidenzaNucleo">  di essere NON residente insieme al proprio figlio nel Comune di Corciano</label>
  </div>
</div>

{{ utils_scolastici.dichiarazione_miur() }}

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>
<globo_salto_pagina></globo_salto_pagina>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>



{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>
<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
